locked
Problems Installing Visual C++ on Vista 64 bit RRS feed

  • Question

  • Hi,

    I'm trying to install Visual Studio Express 2010 C++ in a Vista 64 bit machine with SP1.

    I get the msg cannot install VC 9.0

    I also noticed the requirement states I need SP2. But I got an error msg installing SP2.

    So two questions. Will SP2 get rid of the VC9.0 error. IF not, what else do I have to do?

     

    If so, how do I get SP2 to install?

     

    Thanks,

    Mike

    • Moved by Rob Pan Tuesday, May 24, 2011 3:39 AM for better support (From:Visual C++ General)
    Sunday, May 22, 2011 11:46 PM

Answers

  • I believe your core issue is not having SP2 for Vista installed. As you say you attempted to install SP2 and failed, you should post that issue in the Windows Vista support forums, here:

    http://answers.microsoft.com/en-us/windows/forum/windows_vista

    Once you have that issue resolved, retry the VC++ Express installation and discuss issues (if any) with that here.

    • Proposed as answer by Andrew.Wu Tuesday, May 24, 2011 8:55 AM
    • Marked as answer by Andrew.Wu Monday, May 30, 2011 10:51 AM
    Tuesday, May 24, 2011 3:50 AM

All replies

  •  

    Are you getting error for install Windows OS Service Pack or Visual studio Express Service pack?

     

    VS Service pack can't install without Visual studio express.  But, Visual studio might expect for install Windows Service pack.

    You can check the requirements in http://www.microsoft.com/express/Support/


    Thanks and Regards Selvam http://www15.brinkster.com/selvamselvam/
    Monday, May 23, 2011 4:51 AM
  • Hi Mike,

    According to your description, it seems  that this thread is about Visual Studio installation. So I will move it to the correct forum for better support. Thanks for your understanding. If anything is unclear, please feel free and let me know.

     

    Best  Regards,

    Rob


    Rob Pan [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Tuesday, May 24, 2011 3:38 AM
  • I believe your core issue is not having SP2 for Vista installed. As you say you attempted to install SP2 and failed, you should post that issue in the Windows Vista support forums, here:

    http://answers.microsoft.com/en-us/windows/forum/windows_vista

    Once you have that issue resolved, retry the VC++ Express installation and discuss issues (if any) with that here.

    • Proposed as answer by Andrew.Wu Tuesday, May 24, 2011 8:55 AM
    • Marked as answer by Andrew.Wu Monday, May 30, 2011 10:51 AM
    Tuesday, May 24, 2011 3:50 AM